package com.bonus.canteen.core.menuai.model;

import cn.hutool.core.text.CharSequenceUtil;

public class MenuaiRemoveModel {
   private Long id;
   private Long stallId;
   private String pictureUrl;
   private String fileName;
   private Long dishesId;
   private String pictureName;
   private Integer pictureType;
   private String dishesName;

   public String getFileName() {
      return CharSequenceUtil.isBlank(this.fileName) ? CharSequenceUtil.subAfter(this.pictureUrl, "/", true) : this.fileName;
   }

   public Long getId() {
      return this.id;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getPictureUrl() {
      return this.pictureUrl;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getPictureName() {
      return this.pictureName;
   }

   public Integer getPictureType() {
      return this.pictureType;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setPictureUrl(final String pictureUrl) {
      this.pictureUrl = pictureUrl;
   }

   public void setFileName(final String fileName) {
      this.fileName = fileName;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setPictureName(final String pictureName) {
      this.pictureName = pictureName;
   }

   public void setPictureType(final Integer pictureType) {
      this.pictureType = pictureType;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }
}
